/*
 * The Apache Software License, Version 1.1
 *
 * Copyright (c) 1999 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution, if
 *    any, must include the following acknowlegement:  
 *       "This product includes software developed by the 
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowlegement may appear in the software itself,
 *    if and wherever such third-party acknowlegements normally appear.
 *
 * 4. The names "The Jakarta Project", "Tomcat", and "Apache Software
 *    Foundation" must not be used to endorse or promote products derived
 *    from this software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache"
 *    nor may "Apache" appear in their names without prior written
 *    permission of the Apache Group.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Apache Software Foundation.  For more
 * information on the Apache Software Foundation, please see
 * <http://www.apache.org/>.
 *
 */ 

/* Generated By:JJTree&JavaCC: Do not edit this line. ParserConstants.java */
package org.apache.taglibs.standard.lang.jpath.expression;

public interface ParserConstants {

  int EOF = 0;
  int DIV = 6;
  int MULT = 7;
  int MOD = 8;
  int PLUS = 9;
  int MINUS = 10;
  int EQ = 11;
  int NEQ = 12;
  int LT = 13;
  int LTE = 14;
  int GT = 15;
  int GTE = 16;
  int INTROSPECT = 17;
  int UNION = 18;
  int SCOPE_LIMIT = 19;
  int AND = 20;
  int OR = 21;
  int LIST_BEGIN = 22;
  int LIST_END = 23;
  int SEPARATOR = 24;
  int FUNCTION_BEGIN = 25;
  int FUNCTION_END = 26;
  int PREDICATE_BEGIN = 27;
  int PREDICATE_END = 28;
  int SCOPE_LIMIT_NAME = 58;
  int BOOLEAN_LITERAL = 59;
  int STRING_LITERAL = 60;
  int DIGIT = 61;
  int NUMBER_LITERAL = 62;
  int IDENTIFIER = 63;
  int LETTER = 64;

  int DEFAULT = 0;

  String[] tokenImage = {
    "<EOF>",
    "\" \"",
    "\"\\t\"",
    "\"\\r\"",
    "\"\\n\"",
    "\"\\f\"",
    "\"/\"",
    "\"*\"",
    "\"%\"",
    "\"+\"",
    "\"-\"",
    "\"=\"",
    "\"!=\"",
    "\"<\"",
    "\"<=\"",
    "\">\"",
    "\">=\"",
    "\".\"",
    "\"|\"",
    "\":\"",
    "\"and\"",
    "\"or\"",
    "\"{\"",
    "\"}\"",
    "\",\"",
    "\"(\"",
    "\")\"",
    "\"[\"",
    "\"]\"",
    "\"boolean(\"",
    "\"number(\"",
    "\"string(\"",
    "\"not(\"",
    "\"floor(\"",
    "\"ceiling(\"",
    "\"round(\"",
    "\"format-number(\"",
    "\"concat(\"",
    "\"encode-url(\"",
    "\"encode-html(\"",
    "\"string-length(\"",
    "\"substring(\"",
    "\"starts-with(\"",
    "\"contains(\"",
    "\"substring-before(\"",
    "\"substring-after(\"",
    "\"translate(\"",
    "\"position(\"",
    "\"current(\"",
    "\"last(\"",
    "\"count(\"",
    "\"sum(\"",
    "\"now(\"",
    "\"date(\"",
    "\"format-date(\"",
    "\"roll-date(\"",
    "\"add-date(\"",
    "\"tokenize(\"",
    "<SCOPE_LIMIT_NAME>",
    "<BOOLEAN_LITERAL>",
    "<STRING_LITERAL>",
    "<DIGIT>",
    "<NUMBER_LITERAL>",
    "<IDENTIFIER>",
    "<LETTER>",
  };

}
